#include<bits/stdc++.h>
using namespace std;
int main(){

    int n;
    cin>>n;
    int jd=0;

    int niz[n+5];
    for(int i=0;i<n;i++){
        cin>>niz[i];
        if(niz[i] == 1){
            jd++;
        }
    }
    int q;
    cin>>q;
    int tip,k,x;

    for(int lj=0;lj<q;lj++){

        cin>>tip;

        if(tip == 1){

            cin>>k>>x;
            if(niz[k-1] == x){
                continue;
            }
            if(x == 1){
                jd++;
            }
            else{
                jd--;
            }
            niz[k-1] = x;
        }
        else if(tip == 0){

            cin>>k;

            if(k<=jd){
                cout<<1<<endl;
            }
            else{
                cout<<0<<endl;
            }
        }
    }
}